diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/scsi/aic7xxx/aic7770.c linux-2.5/drivers/scsi/aic7xxx/aic7770.c
--- bk-linus/drivers/scsi/aic7xxx/aic7770.c	2002-11-21 02:18:32.000000000 +0000
+++ linux-2.5/drivers/scsi/aic7xxx/aic7770.c	2002-11-21 18:01:02.000000000 +0000
@@ -50,6 +50,7 @@
 #define ID_AHA_274x	0x04907771
 #define ID_AHA_284xB	0x04907756 /* BIOS enabled */
 #define ID_AHA_284x	0x04907757 /* BIOS disabled*/
+#define ID_AIC_7782	0x04907782
 
 static void aha2840_load_seeprom(struct ahc_softc *ahc);
 static ahc_device_setup_t ahc_aic7770_VL_setup;
@@ -77,6 +78,13 @@ struct aic7770_identity aic7770_ident_ta
 		0xFFFFFFFF,
 		"Adaptec aic7770 SCSI adapter",
 		ahc_aic7770_EISA_setup
+	},
+	{
+		/* (Olivetti 2 channel EISA) */
+		ID_AIC_7782,
+		0xFFFFFFFF,
+		"Adaptec aic7782 SCSI adapter",
+		ahc_aic7770_EISA_setup
 	}
 };
 const int ahc_num_aic7770_devs = NUM_ELEMENTS(aic7770_ident_table);
